# Uses of Interface
org.pentaho.reporting.libraries.resourceloader.cache.ResourceBundleDataCacheEntry

Packages that use ResourceBundleDataCacheEntry
Package
Description
org.pentaho.reporting.libraries.resourceloader.cache
org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache

## Uses of ResourceBundleDataCacheEntry in org.pentaho.reporting.libraries.resourceloader.cache

Classes in org.pentaho.reporting.libraries.resourceloader.cache that implement ResourceBundleDataCacheEntry
Modifier and Type
Class
Description
`class`
`DefaultResourceBundleDataCacheEntry`
Creation-Date: 06.04.2006, 09:53:37
Methods in org.pentaho.reporting.libraries.resourceloader.cache that return ResourceBundleDataCacheEntry
Modifier and Type
Method
Description
`ResourceBundleDataCacheEntry`
NullResourceBundleDataCache.`get(ResourceKey key)`
`ResourceBundleDataCacheEntry`
ResourceBundleDataCache.`get(ResourceKey key)`
Retrieves the given data from the cache.

## Uses of ResourceBundleDataCacheEntry in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache

Methods in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache that return ResourceBundleDataCacheEntry
Modifier and Type
Method
Description
`ResourceBundleDataCacheEntry`
EHResourceBundleDataCache.`get(ResourceKey key)`
Retrieves the given data from the cache.